<html>
<body>
<?php

  include "API.php";  // $url, $pw, and Poker_API() defined here

  if (isset($_REQUEST["errors"]))  // retrieve selected error log
  {
    $edate = $_REQUEST["edate"];
    $params = "Password=" . $pw . "&Command=LogsError&Date=" . $edate;
    $api = Poker_API($url,$params,false);
    if ($api[0] == "Result=Error") die($api[1]);
    echo "<pre>\n";
    for ($i=1; $i<count($api); $i++) echo $api[$i] . "\n";
    echo "</pre>\n"; 
  }
  elseif (isset($_REQUEST["events"]))  // retrieve selected event log
  {
    $edate = $_REQUEST["edate"];
    $params = "Password=" . $pw . "&Command=LogsEvent&Date=" . $edate;
    $api = Poker_API($url,$params,false);
    if ($api[0] == "Result=Error") die($api[1]);
    echo "<pre>\n";
    for ($i=1; $i<count($api); $i++) echo $api[$i] . "\n";
    echo "</pre>\n"; 
  }
  else  // initial page load - display selection droplists
  {

    // retrieve error log dates

    $params = "Password=" . $pw . "&Command=LogsError";
    $api = Poker_API($url,$params,true);
    if ($api["Result"] == "Error") die($api["Error"]);
    $count = $api["Files"];
    echo "<h3>Error Logs</h3>\n";

    // display droplist of dates

    echo "<form method='post'>\n";
    echo "<select name='edate'>\n";
    for ($i=1; $i<=$count; $i++)
    {
      $e = $api["Date" . $i];
      echo "<option value='" . $e . "'>" . $e . "</option>\n";
    } 

    // submit button reloads page with selected error log date

    echo "</select> &nbsp; <input type='submit' name='errors' value='Submit'>\n";
    echo "</form>\n";
    echo "<p>Files found: " . $count . "</p><br/>\n";


    // retrieve event log dates

    $params = "Password=" . $pw . "&Command=LogsEvent";
    $api = Poker_API($url,$params,true);
    if ($api["Result"] == "Error") die($api["Error"]);
    $count = $api["Files"];
    echo "<h3>Event Logs</h3>\n";

    // display droplist of dates

    echo "<form method='post'>\n";
    echo "<select name='edate'>\n";
    for ($i=1; $i<=$count; $i++)
    {
      $e = $api["Date" . $i];
      echo "<option value='" . $e . "'>" . $e . "</option>\n";
    } 

    // submit button reloads page with selected event log date

    echo "</select> &nbsp; <input type='submit' name='events' value='Submit'>\n";
    echo "</form>\n";
    echo "<p>Files found: " . $count . "</p>\n";
  }

?>
</body>
</html>